Bug 17682 - Change URL for Google Scholar in OPACSearchForTitleIn
Summary: Change URL for Google Scholar in OPACSearchForTitleIn
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Charlotte Cordwell
QA Contact: Nick Clemens
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2016-11-25 13:20 UTC by Felix Hemme
Modified: 2018-06-04 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17682:Change URL for Google Scholar in OPACSearchForTitleIn (3.87 KB, patch)
2018-01-16 04:03 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 17682:Change URL for Google Scholar in OPACSearchForTitleIn (3.93 KB, patch)
2018-01-16 08:56 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17682: Change URL for Google Scholar in OPACSearchForTitleIn (1.07 KB, patch)
2018-01-16 20:17 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 17682:Change URL for Google Scholar in OPACSearchForTitleIn (3.98 KB, patch)
2018-01-19 12:42 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17682: Change URL for Google Scholar in OPACSearchForTitleIn (1.12 KB, patch)
2018-01-19 12:42 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17682: Replace 2 occurrences in de-DE and nb-NO (3.33 KB, patch)
2018-01-19 18:27 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Hemme 2016-11-25 13:20:41 UTC
Google Scholar is no longer accessible via <a href="http://www.scholar.google.com/scholar?q={TITLE}" target="_blank">Google Scholar</a>. 

It should be changed to the current url <a href="https://scholar.google.com/scholar?q={TITLE}" target="_blank">Google Scholar</a>.
Comment 1 Owen Leonard 2017-05-04 18:27:10 UTC
This will require an update to the default system preferences SQL (variable OPACSearchForTitleIn), and probably a check during update for customized values.
Comment 2 Charlotte Cordwell 2018-01-16 04:03:12 UTC
Created attachment 70545 [details] [review]
Bug 17682:Change URL for Google Scholar in OPACSearchForTitleIn

1)apply patch
2) go into administration --> search for OPACSearchForTitleIn
3) *click to edit*
4) look at the link and read the google scholar one.
5) check that the start link is https://scholar.google.com.
6) http://www.scholar.google is incorrect
Comment 3 Claire Gravely 2018-01-16 08:56:39 UTC
Created attachment 70546 [details] [review]
Bug 17682:Change URL for Google Scholar in OPACSearchForTitleIn

1)apply patch
2) go into administration --> search for OPACSearchForTitleIn
3) *click to edit*
4) look at the link and read the google scholar one.
5) check that the start link is https://scholar.google.com.
6) http://www.scholar.google is incorrect

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 4 Nick Clemens 2018-01-16 13:49:36 UTC
I think the update needs to target only http://www.scholar.google.com

Current code also updates bookfinder URL and breaks it (https seems to work, but requires keeping the 'www.')

We can update both above links specifically so we don't hit any extra custom ones
Comment 5 Charlotte Cordwell 2018-01-16 20:17:26 UTC
Created attachment 70568 [details] [review]
Bug 17682: Change URL for Google Scholar in OPACSearchForTitleIn

Amended the sql statement so it only affects the http://www.scholar.google.com url


Current status: Failed QA
Comment 6 Aleisha Amohia 2018-01-17 19:29:30 UTC
This is ready for testing.
Comment 7 Nick Clemens 2018-01-19 12:42:42 UTC
Created attachment 70738 [details] [review]
Bug 17682:Change URL for Google Scholar in OPACSearchForTitleIn

1)apply patch
2) go into administration --> search for OPACSearchForTitleIn
3) *click to edit*
4) look at the link and read the google scholar one.
5) check that the start link is https://scholar.google.com.
6) http://www.scholar.google is incorrect

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Nick Clemens 2018-01-19 12:42:45 UTC
Created attachment 70739 [details] [review]
Bug 17682: Change URL for Google Scholar in OPACSearchForTitleIn

Amended the sql statement so it only affects the http://www.scholar.google.com url

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Nick Clemens 2018-01-19 12:43:38 UTC
Small change, SO and QA in one step
Comment 10 Jonathan Druart 2018-01-19 18:27:04 UTC
Created attachment 70770 [details] [review]
Bug 17682: Replace 2 occurrences in de-DE and nb-NO
Comment 11 Jonathan Druart 2018-01-19 18:54:09 UTC
Patches pushed to master for 18.05.

Congratulations Charlotte for your first patches in!
Comment 12 Nick Clemens 2018-01-23 04:14:16 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 13 Fridolin SOMERS 2018-02-02 08:19:54 UTC
Pushed to 17.05.x for v17.05.09